# Class PumpMapContributor

Namespace
  adas_core.Infrastructure.Utils.MongoMaps

Assembly
  adas-core.Infrastructure.dll

Represents a contributor that provides mapping logic for pump-related entities within an entity mapping context.

    public class PumpMapContributor : IEntityMapContributor

Inheritance
  object
  PumpMapContributor

Implements
  IEntityMapContributor

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### RegisterMaps()

Registers the object-to-object mappings used by the application.

    public void RegisterMaps()